local assets=
{
	Asset("ANIM", "anim/fortress_key.zip"),
	Asset("ATLAS", "images/inventoryimages/fortress_key.xml"),	
	Asset("IMAGE", "images/inventoryimages/fortress_key.tex"),	
}

local function keyfn(Sim)
	local inst = CreateEntity()
	inst.entity:AddTransform()
	inst.entity:AddAnimState()
	inst.entity:AddSoundEmitter()
	
	MakeInventoryPhysics(inst)

	local minimap = inst.entity:AddMiniMapEntity()

	inst.AnimState:SetBank("woodlegs_key")
	inst.AnimState:SetBuild("fortress_key")     
	inst.AnimState:PlayAnimation("key1")
	
	inst:AddTag("fortress_key")
	
	inst:AddComponent("inspectable")
	inst:AddComponent("tradable")	
	
	inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.atlasname = "images/inventoryimages/fortress_key.xml"
	inst.components.inventoryitem:ChangeImageName("fortress_key")	
	return inst
end

STRINGS.NAMES.FORTRESS_KEY = "Fortress's Key"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.FORTRESS_KEY = "Now I need something to unlock."

return Prefab( "common/inventory/fortress_key", keyfn, assets)
